.contact-block__card-outer::before {
	clip-path: polygon(
		1rem 0,
		calc(100% - 1rem) 0,
		100% 1rem,
		100% calc(100% - 1rem),
		calc(100% - 1rem) 100%,
		1rem 100%,
		0 calc(100% - 1rem),
		0 1rem
	);
	background-color: var(--brand-gold);
	content: '';
	inset: 0;
	pointer-events: none;
	position: absolute;
	z-index: 0;
}

@media (min-width: 768px) {
	.contact-block__card-outer::before {
		clip-path: polygon(
			1.25rem 0,
			calc(100% - 1.25rem) 0,
			100% 1.25rem,
			100% calc(100% - 1.25rem),
			calc(100% - 1.25rem) 100%,
			1.25rem 100%,
			0 calc(100% - 1.25rem),
			0 1.25rem
		);
	}
}

.contact-block__card::before {
	clip-path: polygon(
		1rem 0,
		calc(100% - 1rem) 0,
		100% 1rem,
		100% calc(100% - 1rem),
		calc(100% - 1rem) 100%,
		1rem 100%,
		0 calc(100% - 1rem),
		0 1rem
	);
	background-color: var(--brand-dark);
	content: '';
	inset: 0;
	pointer-events: none;
	position: absolute;
	z-index: -1;
}

@media (min-width: 768px) {
	.contact-block__card::before {
		clip-path: polygon(
			1.25rem 0,
			calc(100% - 1.25rem) 0,
			100% 1.25rem,
			100% calc(100% - 1.25rem),
			calc(100% - 1.25rem) 100%,
			1.25rem 100%,
			0 calc(100% - 1.25rem),
			0 1.25rem
		);
	}
}

.contact-block__card--small {
	padding: 1.75rem 2rem 1.5rem;
	z-index: 0;
}

.contact-block__selector {
	margin-top: auto;
}

.contact-block__selector .restaurant-selector-label {
	display: none;
}

.contact-block .restaurant-selector-list a {
	color: var(--brand-dark);
}
.contact-block .restaurant-selector-list a:hover {
	color: var(--white);
}

.contact-block .contact-block__card:has(.restaurant-selector--open) {
	z-index: 20;
}

.contact-block .restaurant-selector-wrapper .restaurant-selector .restaurant-selector-trigger {
  color: var(--brand-dark);
  background-color: var(--brand-gold);
}

.contact-block .restaurant-selector-wrapper .restaurant-selector .restaurant-selector-arrow {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='13.235' height='17.933' viewBox='0 0 13.235 17.933'%3E%3Cg id='Сгруппировать_358' data-name='Сгруппировать 358' transform='translate(-1557.816 -1681.158)'%3E%3Cpath id='Контур_919' data-name='Контур 919' d='M0,0,5.833,7.372,11.667,0' transform='translate(1570.267 1689.15) rotate(180)' fill='none' stroke='%231c2130' stroke-linejoin='bevel' stroke-width='2'/%3E%3Cpath id='Контур_920' data-name='Контур 920' d='M541.122,46.331v-17.4' transform='translate(1023.312 1652.76)' fill='none' stroke='%231c2130' stroke-width='2'/%3E%3C/g%3E%3C/svg%3E%0A");
}

@media all and (min-width: 640px) {
  .contact-block .arrow-link:hover .arrow-line {
    /* width: 100% !important; */
  }
}
